// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCX9TaaFrvvJwuTBSxgrsy8nG0Vth3f-bU',
    appId: '1:587421504743:web:1be87c0baf07a2aae47e42',
    messagingSenderId: '587421504743',
    projectId: 'my-notes-4801b',
    authDomain: 'my-notes-4801b.firebaseapp.com',
    storageBucket: 'my-notes-4801b.appspot.com',
    measurementId: 'G-X6BMTGYG1V',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyB-8yK7Pq8TTAtV6vq5Tma2utJ6Hki66iU',
    appId: '1:587421504743:android:782ed1530ae24841e47e42',
    messagingSenderId: '587421504743',
    projectId: 'my-notes-4801b',
    storageBucket: 'my-notes-4801b.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCQxqhglQq8VIG-gFBkTzrfg5aQJGPDECc',
    appId: '1:587421504743:ios:eddd30fbd17c9162e47e42',
    messagingSenderId: '587421504743',
    projectId: 'my-notes-4801b',
    storageBucket: 'my-notes-4801b.appspot.com',
    iosClientId: '587421504743-7n8fovatpkjfkpcq0pb2fgj8795hjf9j.apps.googleusercontent.com',
    iosBundleId: 'com.nerdpenguin.mynotes',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCQxqhglQq8VIG-gFBkTzrfg5aQJGPDECc',
    appId: '1:587421504743:ios:07505bc2e04f62f5e47e42',
    messagingSenderId: '587421504743',
    projectId: 'my-notes-4801b',
    storageBucket: 'my-notes-4801b.appspot.com',
    iosClientId: '587421504743-e280qjrkhn2n7fggte5abk202b1qmg00.apps.googleusercontent.com',
    iosBundleId: 'com.example.myNotesApp',
  );
}
